Conflicting packages

 ( ekzsolt | 2009. március 23., hétfő - 17:23 )

Szeretnék egyszerre két ftp-server csomagot használni: proftpd-t a 21-es porton és egy pure-ftpd-t a 2121-es porton. A második ftpd-t dpkg --force-conflicts -i módon telepítettem, de ettől kezdve minden apt-get műveletre hibaüzenetet kapok:

You might want to run `apt-get -f install' to correct these.
The following packages have unmet dependencies:
proftpd: Conflicts: ftp-server
pure-ftpd-mysql: Conflicts: ftp-server
E: Unmet dependencies. Try using -f.

Hogyan lehet megtanítani a csomagkezelőt arra, hogy ezt a helyzetet kivételnek tekintse?

Hozzászólás megjelenítési lehetőségek

A választott hozzászólás megjelenítési mód a „Beállítás” gombbal rögzíthető.

Két smtp-t sem lehet feltolni!
Biztosan nem véletlenül.

Virtualizáció?

Nem szeretném túlbonyolítani. Simán megvan a két ftp-server egymás mellett külön portokon. És biztosan van valami /etc/apt konfigurációs lehetőség, amivel meg lehet nyugtatni a csomagkezelőt.

És két smtpd-t futtató szerverem is van. Hibátlanul működnek. Igaz a második ott forrásból van telepítve.

.deb-et lekapod és dpkg-val kézzel feltolod. Nézd meg a dpkg --force=help kimenetét
---
/* No comment */
Ketchup elementál megidézése a sajt síkra

Nos úgy tűnik, hogy a csomagkezelő nem paraméterezhető az ilyen esetekre. De a megoldás az lett, hogy saját csomagot fordítottam pure-ftpd-ből, melyből töröltem az ftp-server hivatkozásokat.